<ion-header>
    <div id="btnMenu">
        <div class="title">
            History
        </div>
    </div>
</ion-header>

<ion-content>
    <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
        <ion-refresher-content></ion-refresher-content>
    </ion-refresher>

    <ion-list lines="full">
        <ion-list-header>
            <ion-label>Your signatures</ion-label>
        </ion-list-header>

        <ion-item *ngFor="let doc of this.documentClassification.completed; let i = index" button
            (click)="onDocument(i)" detail="false">
            <ion-icon mode="md" [color]="(doc.owner == ownerPublicKey)?'success':'danger'"
                [name]="(doc.owner == ownerPublicKey)?'arrow-up':'arrow-down'">
            </ion-icon>
            <img src="assets/icon-pdf.png" />
            <ion-label>
                <h3>{{doc.name}}</h3>
                <p>{{dateToShortString(doc.uploadDate)}}</p>
            </ion-label>
            <div>
                <p class="status" *ngIf="doc.isSigned" style="color: #000">Signed</p>
                <p class="status" *ngIf="!doc.isSigned" style="color: #555">Cancelled</p>
                <p class="time">{{nowFromDate(doc.signDate)}}</p>
            </div>
        </ion-item>
    </ion-list>

    <ion-infinite-scroll threshold="50px" (ionInfinite)="loadData($event)">
        <ion-infinite-scroll-content>
        </ion-infinite-scroll-content>
    </ion-infinite-scroll>
</ion-content>